﻿Public Class _Default
    Inherits Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        Dim escrowTable As DataTable = Nothing
        Dim escrowRow As DataRow = Nothing

        escrowTable = New DataTable

        With escrowTable
            .Columns.Add(New DataColumn("Remove", GetType(Boolean)))
            .Columns.Add(New DataColumn("PaymentNbr", GetType(System.String)))
            .Columns.Add(New DataColumn("EscrowAmount", GetType(System.Decimal)))
            .Columns.Add(New DataColumn("PeriodicExpenseAmount", GetType(System.Decimal)))
            .Columns.Add(New DataColumn("NextPaymentDueDate", GetType(System.DateTime)))
            .Columns.Add(New DataColumn("Account", GetType(System.String)))
            .Columns.Add(New DataColumn("Misc1", GetType(System.String)))
            .Columns.Add(New DataColumn("Misc2", GetType(System.String)))
            .Columns.Add(New DataColumn("LoanAppEscrowRecID", GetType(System.Decimal)))
        End With

        '' Set the PrimaryKeys property to the array - this is needed to avoid error "Table doesn't have a primary key"
        escrowTable.PrimaryKey = New DataColumn() {escrowTable.Columns("LoanAppEscrowRecID")}

        escrowRow = escrowTable.NewRow

        escrowRow("Remove") = False
        escrowRow("PaymentNbr") = 1
        escrowRow("EscrowAmount") = 900
        escrowRow("PeriodicExpenseAmount") = 100
        escrowRow("NextPaymentDueDate") = "12/1/2013"
        escrowRow("Account") = "My House"
        escrowRow("Misc1") = "misc1"
        escrowRow("Misc2") = "misc2"
        escrowRow("LoanAppEscrowRecID") = 1

        escrowTable.Rows.InsertAt(escrowRow, 1)

        wdgEscrow.DataSource = escrowTable
        wdgEscrow.DataBind()

        AddPageScript()
    End Sub

    Private Sub AddPageScript()
        Dim cancelButton As Button

        wdgEscrow.Behaviors.EditingCore.Behaviors.RowEditTemplate.RowEditingClientEvents.TemplateClosing = "wdgEscrow_TemplateClosing"
        wdgEscrow.Behaviors.EditingCore.Behaviors.RowEditTemplate.RowEditingClientEvents.TemplateClosed = "wdgEscrow_TemplateClosed"
        wdgEscrow.Behaviors.EditingCore.Behaviors.RowEditTemplate.RowEditingClientEvents.TemplateOpened = "wdgEscrow_TemplateOpened"

        btnAdd.OnClientClick = "addRow(); return false;"

        cancelButton = CType(wdgEscrow.Behaviors.EditingCore.Behaviors.RowEditTemplate.TemplateContainer.FindControl("buttonCancel"), Button)
        If cancelButton IsNot Nothing Then
            cancelButton.OnClientClick = "cancelRow(); return false;"
        End If

    End Sub


End Class